Bug 241381 - Add option to enable OMEMO to net-im/profanity via make config
Summary: Add option to enable OMEMO to net-im/profanity via make config
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-20 21:16 UTC by pvoigt
Modified: 2019-11-11 17:30 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (arved)


Attachments
Patched Makefile (461 bytes, patch)
2019-10-20 21:16 UTC, pvoigt
no flags Details | Diff
working patch (936 bytes, patch)
2019-11-08 17:41 UTC, Tilman Keskinoz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pvoigt 2019-10-20 21:16:29 UTC
Created attachment 208470 [details]
Patched Makefile

The current make config options of net-im/profanity do not allow to build with OMEMO enabled. According to the original source code it can be enabled:
https://profanity-im.github.io/guide/070/omemo.html.

As I needed OMEMO support I did the following:

1.) I added "--enable-omemo" to CONFIGURE_ARGS of /usr/ports/net-im/profanity/Makefile

2.) As configure complained about missing libsignal I installed port net/libsignal and rebuilt profanity.

With these two steps net-im/profanity could be built with OMEMO enabled. According to my tests OMEMO support works as expected.

Please find the patch for the Makefile attached.
Comment 2 pvoigt 2019-11-08 15:07:37 UTC
Looks like net/libsignal does not build under FreeBSD 12.0-RELEASE-p10 amd64.

I have built under FreeBSD 11.3-RELEASE-p4 and net/libsignal-2.3.2.

Thus OMEMO works reliably in chats and multi-user-chats.
Comment 3 pvoigt 2019-11-08 15:50:10 UTC
I strongly suppose for automatically build required net/libsignal the Makefile needs an additional patch, e.g. something under LIB_DEPENDS= like:

libsignal-protocol-c.so:net/libsignal

Unfortunately, my knowledge of Makefiles is rather limited. The port maintainer, arved@FreeBSD.org, will know this for sure.

@Steve:
If net/libsignal is built manually before net-im/profanity should build under FreeBSD 12.0-RELEASE-p10 amd64 as well.
Comment 4 Tilman Keskinoz freebsd_committer 2019-11-08 17:41:07 UTC
Created attachment 208980 [details]
working patch

patch seems to work
Comment 5 pvoigt 2019-11-08 18:21:59 UTC
@Tilman: Thanks for putting the bricks together in clean Makefile patch. I suppose OMEMO will now be enabled by default and cannot be disabled by "make config". For me this totally fine.
Comment 6 Tilman Keskinoz freebsd_committer 2019-11-11 17:30:38 UTC
committed my patch. Thanks for reporting
Comment 7 commit-hook freebsd_committer 2019-11-11 17:30:56 UTC
A commit references this bug:

Author: arved
Date: Mon Nov 11 17:30:17 UTC 2019
New revision: 517269
URL: https://svnweb.freebsd.org/changeset/ports/517269

Log:
  Enable OMEMO support
  Bump PORTREVISION

  PR:		241381
  Reported by:	pvoigt@uos.de

Changes:
  head/net-im/profanity/Makefile